// OG_constreambuf.h: Schnittstelle fr die Klasse OG_constreambuf.
//
// Autor: Olaf Groeger
// EMail: Olaf.Groeger@gmx.de
//
// Status: Macht damit, was ihr wollt
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OG_constreambuf_H__71F05D6C_4B54_11D3_B89E_0000E8699912__INCLUDED_)
#define AFX_OG_constreambuf_H__71F05D6C_4B54_11D3_B89E_0000E8699912__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <streambuf>
#include <ostream>

class OG_constreambuf : public std::streambuf  
{
public:
	OG_constreambuf(int iBuffersize=100);
//	OG_constreambuf();
	virtual ~OG_constreambuf();

private:
	void WriteCharToConsole(int);
	void WriteToConsole();
	void DeleteConsole();
	void CreateConsole();
	HANDLE hConsoleOut;
	char* pReserve;
protected:
	int_type overflow(int_type);
	int_type sync();
};

class OG_constream : public std::ostream
{
public:
	OG_constream();
	OG_constream(int);
	virtual ~OG_constream();
};

#endif // !defined(AFX_OG_constreambuf_H__71F05D6C_4B54_11D3_B89E_0000E8699912__INCLUDED_)
